# Uses of Interface
org.opensaml.xmlsec.signature.G

Packages that use G
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of G in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return G
Modifier and Type
Method
Description
`G`
DSAKeyValue.`getG()`
Get the G child element.
Methods in org.opensaml.xmlsec.signature with parameters of type G
Modifier and Type
Method
Description
`void`
DSAKeyValue.`setG(G newG)`
Set the G child element.

## Uses of G in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement G
Modifier and Type
Class
Description
`class`
`GImpl`
Concrete implementation of `G`.
Fields in org.opensaml.xmlsec.signature.impl declared as G
Modifier and Type
Field
Description
`private G`
DSAKeyValueImpl.`g`
G child element.
Methods in org.opensaml.xmlsec.signature.impl that return G
Modifier and Type
Method
Description
`G`
GBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`G`
GBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`G`
DSAKeyValueImpl.`getG()`
Get the G child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type G
Modifier and Type
Method
Description
`void`
DSAKeyValueImpl.`setG(G newG)`
Set the G child element.